Change in Kerberos API

Julien ÉLIE julien at trigofacile.com
Fri Aug 21 08:10:54 UTC 2009


Hi Russ,

>> With the new version of Kerberos (libkrb5-3 1.7),
>> krb5_get_in_tkt_with_password() has become deprecated and INN cannot be
>> built with Kerberos support.  I see that krb5_get_init_creds_password()
>> should be used instead, but the arguments have also changed...
>
>> If someone -- bet who ? :) -- is mastering Kerberos here, could he
>> please have a look when he has time?
>
> Done and committed.

Thanks a lot!  It works pretty well now.

-- 
Julien ÉLIE

« Le cœur a ses raisons que la raison ne connaît point.
  [...] C'est le cœur qui sent Dieu, et non la raison.
  Voilà ce que c'est que la foi, Dieu sensible au cœur, non à la raison. »
  (Blaise Pascal) 




More information about the inn-workers mailing list